Ubuntu 20.04 LTS/22.04 LTS/23.10:GnuTLS 弱點 (USN-6733-1)

medium Nessus Plugin ID 193341

概要

遠端 Ubuntu 主機缺少一個或多個安全性更新。

說明

遠端 Ubuntu 20.04 LTS/22.04 LTS/23.10 主機上安裝的套件受到 USN-6733-1 公告中所提及的多個弱點影響。

- 在 GnuTLS 中發現一個缺陷。Minerva 攻擊是一種密碼編譯弱點,會惡意利用 GnuTLS 等系統中的確定性行為,進而導致側通道洩漏。在特定情況下 (例如,使用 GNUTLS_PRIVKEY_FLAG_REPRODUCIBLE 旗標時),該攻擊可導致 nonce 大小從 513 位顯著降低到 512 位,進而暴露潛在的計時側通道。(CVE-2024-28834)

- 在 GnuTLS 中發現一個缺陷,其中,嘗試使用 certtool --verify-chain 命令驗證特製的 .pem 套件組合時,可引發應用程式損毀。(CVE-2024-28835)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的套件。

另請參閱

https://ubuntu.com/security/notices/USN-6733-1

Plugin 詳細資訊

嚴重性: Medium

ID: 193341

檔案名稱: ubuntu_USN-6733-1.nasl

版本: 1.0

類型: local

代理程式: unix

已發布: 2024/4/15

已更新: 2024/4/15

支援的感應器: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

風險資訊

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 4.9

時間分數: 3.6

媒介: CVSS2#AV:N/AC:H/Au:S/C:C/I:N/A:N

CVSS 評分資料來源: CVE-2024-28834

CVSS v3

風險因素: Medium

基本分數: 5.3

時間分數: 4.6

媒介: CVSS:3.0/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/o:canonical:ubuntu_linux:23.10, cpe:/o:canonical:ubuntu_linux:20.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:libgnutls-openssl27, p-cpe:/a:canonical:ubuntu_linux:libgnutlsxx28, p-cpe:/a:canonical:ubuntu_linux:libgnutls28-dev, p-cpe:/a:canonical:ubuntu_linux:libgnutls30, cpe:/o:canonical:ubuntu_linux:22.04:-:lts, p-cpe:/a:canonical:ubuntu_linux:guile-gnutls, p-cpe:/a:canonical:ubuntu_linux:libgnutls-dane0, p-cpe:/a:canonical:ubuntu_linux:gnutls-bin

必要的 KB 項目: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2024/4/15

弱點發布日期: 2024/3/20

參考資訊

CVE: CVE-2024-28834, CVE-2024-28835

USN: 6733-1